// Pillar.inc
// July 1996
// Stephen C. Baker
// This include file contains the short pillar, used as a pedistal to display
// objects.  The piller was created using PovCad

#declare Pillar = difference {
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.5}         // main cylinder

     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1          // subtracted cylinders
          translate <0.5, 0.0, 0.0> }
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          translate <0.5, 0.0, 0.0>}
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          rotate <0.0, 30.0, 0.0>
          translate <0.433013, 0.0, -0.25>}
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          rotate <0.0, 60.0, 0.0>
          translate <0.25, 0.0, -0.433013>}
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          rotate <0.0, 90.0, 0.0>
          translate <0.0, 0.0, -0.5>}
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          rotate <0.0, 120.0, 0.0>
          translate <-0.25, 0.0, -0.433013>}
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          rotate <0.0, 150.0, 0.0>
          translate <-0.433013, 0.0, -0.25>}
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          rotate <0.0, 180.0, 0.0>
          translate <-0.5, 0.0, 0.0>}
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          rotate <0.0, 210.0, 0.0>
          translate <-0.433013, 0.0, 0.25>}
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          rotate <0.0, 240.0, 0.0>
          translate <-0.25, 0.0, 0.433013>}
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          rotate <0.0, 270.0, 0.0>
          translate <0.0, 0.0, 0.5>}
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          rotate <0.0, 300.0, 0.0>
          translate <0.25, 0.0, 0.433013>}
     cylinder {<0, -1.0, 0>, <0, 1.0, 0>, 0.1
          rotate <0.0, 330.0, 0.0>
          translate <0.433013, 0.0, 0.25>}
}

#declare Pedistal = union {                       // finish pedistal
     object { Pillar }
     box { <-1, -1, -1>, <1, 1, 1>
     scale <0.7, 0.5, 0.7>
     translate <0.0, -1.5, 0.0>
     }
     box { <-1, -1, -1>, <1, 1, 1>
     scale <0.7, 0.1, 0.7>
     translate <0.0, 1.1, 0.0>
     }
}
