// Persistence of Vision Ray Tracer Scene Description File
// File: .pov
// Vers: 3
// Desc:
// Date:
// Auth:
// ==== Standard POV-Ray Includes ====
#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions
camera
{
 //   up <1,1,0>
  location  <1.0 , -2.2 ,-12.>
     direction 2*z
  look_at   <1.0 , -2.2 , 0.0>
 
}
// create a regular point light source
light_source
{
  0*x // light's position (translated below)
  color red 1.0  green 1.0  blue 1.0  // light's color
  translate <-20, 40, -20>
}

global_settings { assumed_gamma 1.5 }

background { White }

// create a TrueType text shape
#declare NumberLine = object { text
     {
          ttf          // font type (only TrueType format for now)
          "c:\windows\fonts\arialbd.ttf",
          "__  __",   // the string to create
          0,           // the extrusion depth
          0            // offset
     }
     scale <1,3,1>
     translate <0,0.75,0>
}



#declare CandleOne = union { text
     {
          ttf
          "c:\windows\fonts\arialbd.ttf",
          "1",   // the string to create
          0,           // the extrusion depth
          0            // offset
          translate <1.15,0,0>
     }
     object { NumberLine }
}

#declare CandleTwo = union { text
     {
          ttf
          "c:\windows\fonts\arialbd.ttf",
          "2",   // the string to create
          0,           // the extrusion depth
          0            // offset
          translate <1.15,0,0>
     }
     object { NumberLine }
}

#declare CandleThree = union { text
     {
          ttf
          "c:\windows\fonts\arialbd.ttf",
          "3",   // the string to create
          0,           // the extrusion depth
          0            // offset
          translate <1.15,0,0>
     }
     object { NumberLine }
}

#declare CandleFour = union { text
     {
          ttf
          "c:\windows\fonts\arialbd.ttf",
          "4",   // the string to create
          0,           // the extrusion depth
          0            // offset
          translate <1.15,0,0>
     }
     object { NumberLine }
}

#declare CandleFive = union { text
     {
          ttf
          "c:\windows\fonts\arialbd.ttf",
          "5",   // the string to create
          0,           // the extrusion depth
          0            // offset
          translate <1.15,0,0>
     }
     object { NumberLine }
}

#declare CandleSix = union { text
     {
          ttf
          "c:\windows\fonts\arialbd.ttf",
          "6",   // the string to create
          0,           // the extrusion depth
          0            // offset
          translate <1.15,0,0>
     }
     object { NumberLine }
}


object { CandleOne }
object { CandleTwo       translate <0,-1,0> }
object { CandleThree     translate <0,-2,0> }
object { CandleFour      translate <0,-3,0> }
object { CandleFive      translate <0,-4,0> }
object { CandleSix       translate <0,-5,0> }
